## ginkgocadx 3.8.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(BUILD_ALL)

SET( GINKGO_VERSION 3.8.4)

SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")

SET( USE_SYSTEM_SQLITE       TRUE CACHE BOOL "Build with system SQLite library")
SET( USE_CUSTOM_WX           FALSE CACHE BOOL "Build with custom WX library")
SET( USE_CUSTOM_VTK          FALSE CACHE BOOL "Build with custom VTK library")
SET( USE_CUSTOM_ITK          FALSE CACHE BOOL "Build with custom ITK library")
SET( USE_CUSTOM_DCMTK        FALSE CACHE BOOL "Build with custom DCMTK library")

SET( CUSTOM_PACKAGE          FALSE CACHE BOOL "Custom package")
SET( FORCE_SSE               FALSE CACHE BOOL "Force SSE Flag")
SET( INTERNET_DIST           TRUE CACHE BOOL "Public distribution")

SET( CMAKE_OSX_ARCHITECTURES "i386" CACHE STRING "MacOSX Architectures" FORCE)

SET( GINKGO_VERSION_STR ${GINKGO_VERSION})

#############################################################################################

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/CMake)
INCLUDE(SysDefs)

#############################################################################################
include(FindPkgConfig)


IF(UNIX)
  include(CheckCXXCompilerFlag)
  CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_GNU_CXX11_FLAG)
  IF(HAS_GNU_CXX11_FLAG)
    SET(CXX_11_FLAG "-std=c++11")
  ELSE(HAS_GNU_CXX11_FLAG)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" HAS_GNU_CXX0X_FLAG)
    IF(HAS_GNU_CXX0X_FLAG)
      SET(CXX_11_FLAG "-std=c++0x")
    ELSE(HAS_GNU_CXX0X_FLAG)
      MESSAGE(WARNING "Don't know how to enable C++11, if you are lucky, they are enabled by default")
    ENDIF(HAS_GNU_CXX0X_FLAG)
  ENDIF(HAS_GNU_CXX11_FLAG)
  
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
  MESSAGE(STATUS "CXX_FLAGS = ${CMAKE_CXX_FLAGS}")
ENDIF(UNIX)

#doesn't work... using custom build
#IF(LINUX)
#FIND_PACKAGE(LIBCURL REQUIRED)
#ENDIF()
SET_CUSTOM_libcurl_PACKAGE()

IF(NOT USE_CUSTOM_WX)
FIND_PACKAGE(wxWidgets 3.0.2 COMPONENTS core base html gl net xml aui adv richtext xrc propgrid REQUIRED)
ELSE()
MESSAGE(STATUS "Using custom wxWidgets")
SET_CUSTOM_wxWidgets_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_VTK)
FIND_PACKAGE(VTK 6.2.0 REQUIRED)
ELSE()
MESSAGE(STATUS "Using custom VTK")
SET_CUSTOM_VTK_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_ITK)
FIND_PACKAGE(ITK 4.8.0 REQUIRED COMPONENTS ITKCommon ITKGDCM ITKIOImageBase ITKIOVTK ITKVTK ITKIOGDCM)
ELSE()
MESSAGE(STATUS "Using custom ITK")
SET_CUSTOM_ITK_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_DCMTK)
FIND_PACKAGE(DCMTK 3.6.1 REQUIRED)
ELSE()
MESSAGE(STATUS "Using custom DCMTK")
SET_CUSTOM_DCMTK_PACKAGE()
ENDIF()

IF(NOT USE_SYSTEM_SQLITE)
MESSAGE(STATUS "Using builtin SQLite")
ELSE()
MESSAGE(STATUS "Using system SQLite")
#FIND_PACKAGE(sqlite REQUIRED)

ENDIF()


# require cairo includes
PKG_CHECK_MODULES(CAIRO REQUIRED cairo)
INCLUDE_DIRECTORIES(${CAIRO_INCLUDE_DIRS})
LINK_DIRECTORIES(${CAIRO_LIBRARY_DIRS})

IF(LINUX)
  PKG_CHECK_MODULES(GTK REQUIRED gtk+-2.0)
  INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
  LINK_DIRECTORIES(${GTK_LIBRARY_DIRS})

  PKG_CHECK_MODULES(LIBCURL REQUIRED libcurl)
  INCLUDE_DIRECTORIES(${LIBCURL_INCLUDE_DIRS})
  LINK_DIRECTORIES(${LIBCURL_LIBRARY_DIRS})

ENDIF()







#############################################################################################

IF(MACOS)
SET(GINKGO_PROJECT "Ginkgo CADx" CACHE PARENT_SCOPE "")
ELSEIF(LINUX AND CUSTOM_PACKAGE)
SET(GINKGO_PROJECT "ginkgocadx-${ARCH}" CACHE PARENT_SCOPE "")
ELSE()
SET(GINKGO_PROJECT "ginkgocadx" CACHE PARENT_SCOPE "")
ENDIF()

SET(GINKGO_PLUGINS "" CACHE PARENT_SCOPE "")

ADD_SUBDIRECTORY(cadxcore)
ADD_SUBDIRECTORY(ginkgocadx)

IF(BUILD_VISUALIZATION_EXT)
ADD_SUBDIRECTORY(visualizator)
ENDIF()

ADD_CUSTOM_TARGET(${PROJECT_NAME} echo)

MESSAGE(STATUS "Building ${GINKGO_PROJECT} ${GINKGO_VERSION_STR}")

ADD_DEPENDENCIES(${PROJECT_NAME} "${GINKGO_PROJECT}")

IF(BUILD_VISUALIZATION_EXT)
ADD_DEPENDENCIES(${PROJECT_NAME} visualizator)
LIST(APPEND GINKGO_PLUGINS "visualizator")
ENDIF()

IF(CUSTOM_PACKAGE)

SET( DEST "${CMAKE_CURRENT_BINARY_DIR}/dist" )
PACKAGE_RULES( "${PROJECT_NAME}" "${ARCH}" "${DEST}" )
ENDIF()

=== debian/changelog ===
ginkgocadx (3.8.4-1build1) artful; urgency=medium

  * No-change rebuild against libdcmtk11

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Jun 2017 08:42:37 +0000

ginkgocadx (3.8.4-1) unstable; urgency=medium

  * New upstream version 
  * d/p/01: remove patches applied upstream 

 -- Gert Wollny <gewo@debian.org>  Wed, 11 Jan 2017 12:09:30 +0000

ginkgocadx (3.8.3-4) unstable; urgency=medium

  * d/control: Update uploader mail address for Gert Wollny 
  * d/patches/01: Patch OGLSL shader to work with LLVM compiler 
    backend 

 -- Gert Wollny <gewo@debian.org>  Sun, 08 Jan 2017 18:44:29 +0000

=== debian/control ===
Source: ginkgocadx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Gert Wollny <gewo@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               chrpath,
               cmake,
               libcairo2-dev,
               libcurl4-gnutls-dev,
               libdcmtk-dev,
               libfftw3-dev,
               libfreetype6-dev,
               libgtk2.0-dev,
               libinsighttoolkit4-dev,
               libjsoncpp-dev,
               default-libmysqlclient-dev,
               libsqlite3-dev,
               libvtk6-dev,
               libwrap0,
               libwrap0-dev,
               libwxgtk3.0-dev,
               libxml2-dev,
               libgdcm-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/ginkgocadx/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
Homepage: http://ginkgo-cadx.com/

Package: ginkgocadx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Medical Imaging Software and complete DICOM Viewer
 Ginkgo CADx provides a complete DICOM viewer solution with advanced
 capabilities and support for extensions.
 .
  * Easy and customizable interface through profiles.
  * Full featured DICOM image visualization.
  * Complete tool set (measure, markers, text, ...).
  * Multiple modalities support (Neurological, Radiological, Dermatological,
    Ophthalmological, Ultrasound, Endoscopy, ...)
  * Dicomization support from JPEG, PNG, GIF and TIFF.
  * Full EMH integration support: HL7 standard and IHE compliant workflows.
  * PACS Workstation (C-FIND, C-MOVE, C-STORE...)
  * Extensible through custom extensions.
    - Retinal image mosaic composition.
    - Automatic retinal analysis diagnostics.
    - Psoriasis automatic diagnostics.

## ginkgocadx 3.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -82,6 +82,27 @@
 SET_CUSTOM_DCMTK_PACKAGE()
 ENDIF()
 
+SET(CMAKE_REQUIRED_INCLUDES ${DCMTK_INCLUDES})
+SET(CMAKE_REQUIRED_LIBRARIES ${DCMTK_LIBRARIES})
+
+CHECK_CXX_SOURCE_COMPILES(
+"#include <dcmtk/dcmdata/dcitem.h>
+#include <dcmtk/dcmdata/dcdeftag.h>
+
+int main(int argc, char *args[]) 
+{
+     DcmTagKey tag(DCM_StudyDate); 
+     DcmElement *test = DcmItem::newDicomElement(tag); 
+     return test == 0;
+}
+" DCMTK_newDicomElement_IS_STATIC_MEMBER_OF_DcmItem)
+
+IF(DCMTK_newDicomElement_IS_STATIC_MEMBER_OF_DcmItem) 
+  ADD_DEFINITIONS(-DDCMTK_POST_20170228)
+ENDIF()  
+
+
+
 IF(NOT USE_SYSTEM_SQLITE)
 MESSAGE(STATUS "Using builtin SQLite")
 ELSE()

=== debian/changelog ===
ginkgocadx (3.8.5-1build1) artful; urgency=medium

  * Rebuild against new insighttoolkit 4.12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2017 22:36:26 +0200

ginkgocadx (3.8.5-1) unstable; urgency=medium

  * Upload to unstable, Closes: #865796 
  * Update standards version to 4.0.0

 -- Gert Wollny <gewo@debian.org>  Sun, 25 Jun 2017 05:32:32 +0000

ginkgocadx (3.8.5-1~exp1) experimental; urgency=medium

  * New upstream version  

 -- Gert Wollny <gewo@debian.org>  Mon, 13 Mar 2017 12:27:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: ginkgocadx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Thorsten Alteholz <debian@alteholz.de>,
-           Dmitry Smirnov <onlyjob@debian.org>,
            Gert Wollny <gewo@debian.org>
 Section: science
 Priority: optional
@@ -26,7 +24,7 @@
                libwxgtk3.0-dev,
                libxml2-dev,
                libgdcm-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/ginkgocadx/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
 Homepage: http://ginkgo-cadx.com/

## ginkgocadx 3.8.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PROJECT(BUILD_ALL)
 
-SET( GINKGO_VERSION 3.8.4)
+SET( GINKGO_VERSION 3.8.6)
 
 SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")
@@ -29,9 +29,21 @@
 #############################################################################################
 include(FindPkgConfig)
 
+include(CheckCXXCompilerFlag)
 
-IF(UNIX)
-  include(CheckCXXCompilerFlag)
+IF (((${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU") AND
+      (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5.3.0)) OR
+    ((${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang") AND
+      (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 3.3.0)))
+  MESSAGE(STATUS "Compiler has full c++11 support")
+
+  # g++ >= 6.0 sets std=c++14 by default
+  IF ((${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU") AND
+      (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0))
+    SET(CXX_11_FLAG "-std=c++11")
+  ENDIF()
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
+ELSE()
   CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_GNU_CXX11_FLAG)
   IF(HAS_GNU_CXX11_FLAG)
     SET(CXX_11_FLAG "-std=c++11")
@@ -43,10 +55,18 @@
       MESSAGE(WARNING "Don't know how to enable C++11, if you are lucky, they are enabled by default")
     ENDIF(HAS_GNU_CXX0X_FLAG)
   ENDIF(HAS_GNU_CXX11_FLAG)
-  
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
-  MESSAGE(STATUS "CXX_FLAGS = ${CMAKE_CXX_FLAGS}")
-ENDIF(UNIX)
+  INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkCpp0xAuto.cmake)
+  INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkCpp0xLambda.cmake)
+  IF(NOT "${CXX_HAS_CXX_0X_AUTO}" OR NOT CXX_HAS_CXX_0X_LAMBDA)
+    MESSAGE(FATAL_ERROR
+      "This source code requires the C++0x auto type and lambda features. "
+      "If your compiler is supposed to support this feature, "
+      "please enable the appropriate flags and delete the CMakeCache.txt file before "
+      "re-running cmake.\n"
+      "For g++ >= 4.8 this is '-std=c++0x' ")
+  ENDIF(NOT "${CXX_HAS_CXX_0X_AUTO}" OR NOT CXX_HAS_CXX_0X_LAMBDA)
+ENDIF()
 
 #doesn't work... using custom build
 #IF(LINUX)
@@ -62,7 +82,10 @@
 ENDIF()
 
 IF(NOT USE_CUSTOM_VTK)
-FIND_PACKAGE(VTK 6.2.0 REQUIRED)
+  FIND_PACKAGE(VTK 7.0.0)
+  IF (NOT VTK_FOUND)
+    FIND_PACKAGE(VTK 6.2.0 REQUIRED)
+  ENDIF()
 ELSE()
 MESSAGE(STATUS "Using custom VTK")
 SET_CUSTOM_VTK_PACKAGE()
@@ -89,17 +112,17 @@
 "#include <dcmtk/dcmdata/dcitem.h>
 #include <dcmtk/dcmdata/dcdeftag.h>
 
-int main(int argc, char *args[]) 
+int main(int argc, char *args[])
 {
-     DcmTagKey tag(DCM_StudyDate); 
-     DcmElement *test = DcmItem::newDicomElement(tag); 
+     DcmTagKey tag(DCM_StudyDate);
+     DcmElement *test = DcmItem::newDicomElement(tag);
      return test == 0;
 }
 " DCMTK_newDicomElement_IS_STATIC_MEMBER_OF_DcmItem)
 
-IF(DCMTK_newDicomElement_IS_STATIC_MEMBER_OF_DcmItem) 
+IF(DCMTK_newDicomElement_IS_STATIC_MEMBER_OF_DcmItem)
   ADD_DEFINITIONS(-DDCMTK_POST_20170228)
-ENDIF()  
+ENDIF()

=== debian/changelog ===
ginkgocadx (3.8.6-1) unstable; urgency=medium

  * New upstream release

 -- Gert Wollny <gewo@debian.org>  Fri, 18 Aug 2017 13:07:34 +0000

## ginkgocadx 3.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,10 +38,14 @@
   MESSAGE(STATUS "Compiler has full c++11 support")
 
   # g++ >= 6.0 sets std=c++14 by default
-  IF ((${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU") AND
-      (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0))
+  IF (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
+    IF (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0)
+      SET(CXX_11_FLAG "-std=c++11")
+    ENDIF()
+  ELSE()
     SET(CXX_11_FLAG "-std=c++11")
   ENDIF()
+  
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
 ELSE()
   CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_GNU_CXX11_FLAG)
@@ -56,16 +60,6 @@
     ENDIF(HAS_GNU_CXX0X_FLAG)
   ENDIF(HAS_GNU_CXX11_FLAG)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
-  INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkCpp0xAuto.cmake)
-  INCLUDE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/checkCpp0xLambda.cmake)
-  IF(NOT "${CXX_HAS_CXX_0X_AUTO}" OR NOT CXX_HAS_CXX_0X_LAMBDA)
-    MESSAGE(FATAL_ERROR
-      "This source code requires the C++0x auto type and lambda features. "
-      "If your compiler is supposed to support this feature, "
-      "please enable the appropriate flags and delete the CMakeCache.txt file before "
-      "re-running cmake.\n"
-      "For g++ >= 4.8 this is '-std=c++0x' ")
-  ENDIF(NOT "${CXX_HAS_CXX_0X_AUTO}" OR NOT CXX_HAS_CXX_0X_LAMBDA)
 ENDIF()
 
 #doesn't work... using custom build

=== cadxcore/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(CADxCore)

################ SOURCES ################

AUX_SOURCE_DIRECTORY(api SRCS)
AUX_SOURCE_DIRECTORY(api/controllers SRCS)
AUX_SOURCE_DIRECTORY(api/controllers/proxies SRCS)
AUX_SOURCE_DIRECTORY(api/helpers SRCS)
AUX_SOURCE_DIRECTORY(api/math SRCS)
AUX_SOURCE_DIRECTORY(api/observers SRCS)
AUX_SOURCE_DIRECTORY(api/dicom SRCS)
AUX_SOURCE_DIRECTORY(api/threads SRCS)
AUX_SOURCE_DIRECTORY(api/internationalization SRCS)
AUX_SOURCE_DIRECTORY(api/toolsystem SRCS)
AUX_SOURCE_DIRECTORY(api/utils SRCS)

AUX_SOURCE_DIRECTORY(export SRCS)
AUX_SOURCE_DIRECTORY(export/tools SRCS)
AUX_SOURCE_DIRECTORY(export/observers SRCS)
AUX_SOURCE_DIRECTORY(export/contracts SRCS)

AUX_SOURCE_DIRECTORY(main SRCS)
AUX_SOURCE_DIRECTORY(main/controllers SRCS)
AUX_SOURCE_DIRECTORY(main/filtering SRCS)
AUX_SOURCE_DIRECTORY(main/utils SRCS)

AUX_SOURCE_DIRECTORY(main/gui SRCS)
AUX_SOURCE_DIRECTORY(main/gui/anonymize SRCS)
AUX_SOURCE_DIRECTORY(main/gui/acquisition SRCS)
AUX_SOURCE_DIRECTORY(main/gui/callibration SRCS)
AUX_SOURCE_DIRECTORY(main/gui/configuration SRCS)
AUX_SOURCE_DIRECTORY(main/gui/countdownmessage SRCS)
AUX_SOURCE_DIRECTORY(main/gui/dicomeditor SRCS)
AUX_SOURCE_DIRECTORY(main/gui/dicomdirexport SRCS)
AUX_SOURCE_DIRECTORY(main/gui/dicomdirmigration SRCS)
AUX_SOURCE_DIRECTORY(main/gui/export SRCS)
AUX_SOURCE_DIRECTORY(main/gui/ginkgocloud SRCS)
AUX_SOURCE_DIRECTORY(main/gui/history3 SRCS)
AUX_SOURCE_DIRECTORY(main/gui/hl7controlwindow SRCS)
AUX_SOURCE_DIRECTORY(main/gui/import SRCS)
AUX_SOURCE_DIRECTORY(main/gui/license SRCS)
AUX_SOURCE_DIRECTORY(main/gui/logcontrolwindow SRCS)
AUX_SOURCE_DIRECTORY(main/gui/login SRCS)
AUX_SOURCE_DIRECTORY(main/gui/mainwindow SRCS)
AUX_SOURCE_DIRECTORY(main/gui/open SRCS)
AUX_SOURCE_DIRECTORY(main/gui/pacsupload SRCS)
AUX_SOURCE_DIRECTORY(main/gui/paneltags SRCS)
AUX_SOURCE_DIRECTORY(main/gui/previewpanel SRCS)
AUX_SOURCE_DIRECTORY(main/gui/print SRCS)
AUX_SOURCE_DIRECTORY(main/gui/dicomprint SRCS)
AUX_SOURCE_DIRECTORY(main/gui/progress SRCS)
AUX_SOURCE_DIRECTORY(main/gui/selectpacsserver SRCS)
AUX_SOURCE_DIRECTORY(main/gui/startup SRCS)
AUX_SOURCE_DIRECTORY(main/gui/tabtoolbar SRCS)
AUX_SOURCE_DIRECTORY(main/gui/taskcontrol SRCS)
AUX_SOURCE_DIRECTORY(main/gui/toolsystem SRCS)

AUX_SOURCE_DIRECTORY(main/managers SRCS)
AUX_SOURCE_DIRECTORY(main/tools SRCS)
AUX_SOURCE_DIRECTORY(main/toolsystem SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk/libi2d SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk/ofstd SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/dcmtk/tls SRCS)
#AUX_SOURCE_DIRECTORY(main/controllers/dcmtk/tls/win-only SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/log4cplus SRCS)
AUX_SOURCE_DIRECTORY(main/controllers/streaming SRCS)

AUX_SOURCE_DIRECTORY(commands SRCS)

AUX_SOURCE_DIRECTORY(net SRCS)

AUX_SOURCE_DIRECTORY(resources SRCS)

IF(NOT USE_SYSTEM_SQLITE)
AUX_SOURCE_DIRECTORY(sqlite SRCS)
ENDIF()


AUX_SOURCE_DIRECTORY(endpoint SRCS)

AUX_SOURCE_DIRECTORY(vtk SRCS)
AUX_SOURCE_DIRECTORY(vtk/command SRCS)
AUX_SOURCE_DIRECTORY(vtk/interactor SRCS)
AUX_SOURCE_DIRECTORY(vtk/widgets SRCS)

AUX_SOURCE_DIRECTORY(widgets SRCS)
AUX_SOURCE_DIRECTORY(widgets/gui SRCS)
AUX_SOURCE_DIRECTORY(widgets/observers SRCS)

AUX_SOURCE_DIRECTORY(wx SRCS)
AUX_SOURCE_DIRECTORY(wx/ginkgostyle SRCS)
AUX_SOURCE_DIRECTORY(wx/gnkinforme SRCS)
AUX_SOURCE_DIRECTORY(wx/iconoimagenctrl SRCS)
AUX_SOURCE_DIRECTORY(wx/maskedtextctrl SRCS)
AUX_SOURCE_DIRECTORY(wx/propgrid SRCS)
AUX_SOURCE_DIRECTORY(wx/propiedades SRCS)
AUX_SOURCE_DIRECTORY(wx/thumbnailctrl SRCS)
AUX_SOURCE_DIRECTORY(wx/timectrl SRCS)
AUX_SOURCE_DIRECTORY(wx/treelistctrl SRCS)
AUX_SOURCE_DIRECTORY(wx/VTK SRCS)
AUX_SOURCE_DIRECTORY(wx/wizardginkgo SRCS)
AUX_SOURCE_DIRECTORY(wx/wxsqlite3 SRCS)
AUX_SOURCE_DIRECTORY(wx/wxhttpengine SRCS)

AUX_SOURCE_DIRECTORY(VTKInria3D SRCS)
AUX_SOURCE_DIRECTORY(VTKInria3D/vtkVISUManagement SRCS)
AUX_SOURCE_DIRECTORY(VTKInria3D/wxVTK SRCS)

AUX_SOURCE_DIRECTORY(resources SRCS)

IF (LINUX OR MACOS)
	AUX_SOURCE_DIRECTORY(xmlrpc SRCS)
ENDIF()

IF (LINUX OR MACOS)
	LIST(REMOVE_ITEM SRCS endpoint/interfaces.cpp)
	LIST(REMOVE_ITEM SRCS endpoint/sockatmark.cpp)
ELSEIF(WINDOWS)
	SET(SRCS stdafx.cpp ${SRCS})
ENDIF()

################ DEFINITIONS ################

ADD_CORE_DEFINITIONS()

################ INCLUDE DIRECTORIES ################

SET(${PROJECT_NAME}_INCLUDE_DIR
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/vtk
	${CMAKE_CURRENT_SOURCE_DIR}/itk
	${CMAKE_CURRENT_SOURCE_DIR}/wx
	${CMAKE_CURRENT_SOURCE_DIR}/wx/VTK
	${CMAKE_CURRENT_SOURCE_DIR}/VTKInria3D
	${CMAKE_CURRENT_SOURCE_DIR}/VTKInria3D/wxVTK
	CACHE INTERNAL ""
)

INCLUDE_DIRECTORIES(${PROJECT_NAME} ${${PROJECT_NAME}_INCLUDE_DIR} )

################ LIBS ################
FIND_PATH(libjsoncpp_INCLUDE_DIR json/json.h
/usr/include/jsoncpp
)
INCLUDE_DIRECTORIES(${libjsoncpp_INCLUDE_DIR})
set(libjsoncpp_LIBRARIES jsoncpp)
MESSAGE(STATUS "libjsoncpp_LIBRARIES=${libjsoncpp_LIBRARIES} libjsoncpp_INCLUDE_DIR=${libjsoncpp_INCLUDE_DIR}")

ADD_DEFINITIONS(${libcurl_defines})
INCLUDE_DIRECTORIES(${libcurl_INCLUDE_DIR})
LINK_DIRECTORIES(${libcurl_DIR})
#MESSAGE("LIBCURLLibx = ${libcurl_LIBRARIES} LIBCURL_include = ${libcurl_INCLUDE_DIR}  LIBCURL_LINK_DIR= ${libcurl_DIR} LIBCURL_DEFINES=${libcurl_defines}")

IF(USE_CUSTOM_WX)
  ADD_DEFINITIONS(${wxWidgets_CXX_FLAGS})
  INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIR})
  LINK_DIRECTORIES(${wxWidgets_DIR})
ELSE()
  FIND_PACKAGE(wxWidgets 3.0.1 REQUIRED)
  foreach(d ${wxWidgets_DEFINITIONS})
    ADD_DEFINITIONS("-D${d}")
  endforeach()
  INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIRS})
ENDIF()

IF (USE_CUSTOM_VTK)
	ADD_DEFINITIONS(${VTK_defines})
	INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIR})
	LINK_DIRECTORIES(${VTK_DIR})
ELSE()
	INCLUDE(${VTK_USE_FILE})
ENDIF()

IF(USE_CUSTOM_ITK)
	ADD_DEFINITIONS(${ITK_defines})
	INCLUDE_DIRECTORIES(${ITK_INCLUDE_DIR})
	LINK_DIRECTORIES(${ITK_DIR})
ELSE()
	INCLUDE(${ITK_USE_FILE})
	#MESSAGE("ITKLIBS = ${ITK_LIBRARIES}")
ENDIF()

IF(USE_CUSTOM_DCMTK)
	ADD_DEFINITIONS(${DCMTK_defines})
	INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIR})
	LINK_DIRECTORIES(${DCMTK_DIR})
ELSE()
	ADD_DEFINITIONS(-DHAVE_CONFIG_H)
	INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIRS})
	#MESSAGE("DCMTKLIBS = ${DCMTK_LIBRARIES}")
	#MESSAGE("DCMTKINC = ${DCMTK_INCLUDE_DIRS}")
ENDIF()

ADD_DEFINITIONS(${Cairo_defines})
INCLUDE_DIRECTORIES(${Cairo_INCLUDE_DIR})
LINK_DIRECTORIES(${Cairo_LIB})

ADD_DEFINITIONS(${Pixman_defines})
INCLUDE_DIRECTORIES(${Pixman_INCLUDE_DIR})
LINK_DIRECTORIES(${Pixman_LIB})

IF (MACOS)
	ADD_DEFINITIONS(${XmlRpc++_defines})
	INCLUDE_DIRECTORIES(${XmlRpc++_INCLUDE_DIR})
	LINK_DIRECTORIES(${XmlRpc++_DIR})
ENDIF()

IF (LINUX)
	IF (GTK2_FOUND)
	  INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS})
	ELSE ()
	  MESSAGE("-----------------GTK2 NOT FOUND--------------------")
	  INCLUDE_DIRECTORIES(/usr/include/gtk-2.0
	      /usr/include/atk-1.0
	      /usr/include/pango-1.0
	      /usr/include/gio-unix-2.0/
	      /usr/include/glib-2.0
	      /usr/lib/i386-linux-gnu/glib-2.0/include
	      /usr/include/freetype2
	      /usr/include/libpng12
	      /usr/lib/gtk-2.0/include
	      /usr/include/cairo
	      /usr/include/gdk-pixbuf-2.0
	      /usr/include/pixman-1
	  )  
	ENDIF ()
ENDIF()


################ TARGET ################

ADD_LIBRARY(${PROJECT_NAME} STATIC ${SRCS} )
#ADD_EXECUTABLE(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SRCS})
SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES
	VERSION "${GINKGO_VERSION_STR}" SOVERSION "${GINKGO_VERSION_STR}"
	LINK_INTERFACE_LIBRARIES ""
	INSTALL_RPATH_USE_LINK_PATH FALSE )
#INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib/ginkgocadx)

INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/acquisition DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/big_icons DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/cursors DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/history DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/logos DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/marking_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/menu_tabs DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/tool_icons DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/wizards DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/angle_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/cine_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/grid_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/layout_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/magnifier_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/menu_icons DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/progress_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/windowlevel_bar DESTINATION share/ginkgocadx/resources/cadxcore)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/zh_CN/cadxcore.mo DESTINATION share/ginkgocadx/lang/zh_CN)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/zh_CN/wxstd.mo DESTINATION share/ginkgocadx/lang/zh_CN)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/de/cadxcore.mo DESTINATION share/ginkgocadx/lang/de)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/de/wxstd.mo DESTINATION share/ginkgocadx/lang/de)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/el/wxstd.mo DESTINATION share/ginkgocadx/lang/el)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/el/cadxcore.mo DESTINATION share/ginkgocadx/lang/el)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/es/wxstd.mo DESTINATION share/ginkgocadx/lang/es)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/es/cadxcore.mo DESTINATION share/ginkgocadx/lang/es)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/fr/wxstd.mo DESTINATION share/ginkgocadx/lang/fr)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/fr/cadxcore.mo DESTINATION share/ginkgocadx/lang/fr)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/ja/wxstd.mo DESTINATION share/ginkgocadx/lang/ja)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/ja/cadxcore.mo DESTINATION share/ginkgocadx/lang/ja)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pl/wxstd.mo DESTINATION share/ginkgocadx/lang/pl)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pl/cadxcore.mo DESTINATION share/ginkgocadx/lang/pl)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pt/wxstd.mo DESTINATION share/ginkgocadx/lang/pt)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pt/cadxcore.mo DESTINATION share/ginkgocadx/lang/pt)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/sr/cadxcore.mo DESTINATION share/ginkgocadx/lang/sr)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/tr/wxstd.mo DESTINATION share/ginkgocadx/lang/tr)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/tr/cadxcore.mo DESTINATION share/ginkgocadx/lang/tr)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/resources/conformance.xml DESTINATION share/ginkgocadx)
################ LIBS ################
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${libjsoncpp_LIBRARIES})

TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${libcurl_LIBRARIES})

TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${wxWidgets_LIBRARIES})

=== ginkgocadx/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(${GINKGO_PROJECT})

MESSAGE(STATUS "GINKGO PROJECT = ${GINKGO_PROJECT}")

SET(SRCS main.cpp)

ADD_GINKGO_DEFINITIONS()

INCLUDE_DIRECTORIES(${CADxCore_INCLUDE_DIR})

IF(LINUX AND NOT CUSTOM_BUILD)
	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
	SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
	LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx" isSystemDir)
	IF("${isSystemDir}" STREQUAL "-1")
		SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
	ENDIF()
ENDIF()

ADD_DEFINITIONS(${libcurl_defines})
INCLUDE_DIRECTORIES(${libcurl_INCLUDE_DIR})
LINK_DIRECTORIES(${libcurl_DIR})


IF(USE_CUSTOM_WX)
        ADD_DEFINITIONS(${wxWidgets_defines})
        INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIR})
        LINK_DIRECTORIES(${wxWidgets_DIR})
ELSE()
        INCLUDE(${wxWidgets_USE_FILE})
	#MESSAGE("SYSTEM_WX: VL = ${VTK_DIR}")
        LINK_DIRECTORIES(${wxWidgets_DIR})
ENDIF()

IF (USE_CUSTOM_VTK)
	LINK_DIRECTORIES(${VTK_DIR})
ELSE()
	#MESSAGE("SYSTEM_VTK: VL = ${VTK_DIR}")
	LINK_DIRECTORIES(${VTK_LIBRARY_DIRS})
ENDIF()


IF(USE_CUSTOM_ITK)
	LINK_DIRECTORIES(${ITK_DIR})
ELSE()
	#MESSAGE("SYSTEM_ITK: IL = ${ITK_DIR}")
	LINK_DIRECTORIES(${ITK_DIR})
ENDIF()

IF(USE_CUSTOM_DCMTK)
	ADD_DEFINITIONS(${DCMTK_defines})
	INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIR})
	LINK_DIRECTORIES(${DCMTK_DIR})
ELSE()
	ADD_DEFINITIONS(-DHAVE_CONFIG_H)
	INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIRS})
	#MESSAGE("DCMTKLIBS = ${DCMTK_LIBRARIES}")
	#MESSAGE("DCMTKINC = ${DCMTK_INCLUDE_DIRS}")
ENDIF()

LINK_DIRECTORIES(${Cairo_DIR})
LINK_DIRECTORIES(${Pixman_DIR})
#LINK_DIRECTORIES(${XmlRpc++_DIR})

IF(MACOS)
	SET(SRCS ${SRCS}
		${CMAKE_CURRENT_SOURCE_DIR}/ginkgocadx.icns
		${CMAKE_CURRENT_SOURCE_DIR}/dcmdoc.icns
		${CMAKE_CURRENT_SOURCE_DIR}/../cadxcore/resources/conformance.xml
	)
	FOREACH(PLUGIN ${GINKGO_PLUGINS})
		EXECUTE_PROCESS(
			COMMAND /bin/bash -c "touch ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN}/${PLUGIN}.inf"
		)
		SET(SRCS ${SRCS} ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN}/${PLUGIN}.inf)
		SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN}/${PLUGIN}.inf PROPERTIES MACOSX_PACKAGE_LOCATION PlugIns)
	ENDFOREACH()
	
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/ginkgocadx.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/dcmdoc.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/../cadxcore/resources/conformance.xml PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/PkgInfo PROPERTIES MACOSX_PACKAGE_LOCATION .)
	LINK_LIBRARIES(CADxCore)
ENDIF()

ADD_EXECUTABLE(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SRCS})

IF(LINUX)
  TARGET_LINK_LIBRARIES(${PROJECT_NAME} CADxCore pthread dl)
  TARGET_LINK_LIBRARIES(${PROJECT_NAME} visualizator)
  TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${GTK_LIBRARIES})
ENDIF()

IF(USE_CUSTOM_DCMTK)
	MESSAGE(STATUS "DCMTK_LIBS= ${DCMTK_LIBRARIES}" )
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES})
ELSE()
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES} oflog dcmdsig dcmtls)
ENDIF()
IF(LINUX)
	SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES
	LINK_INTERFACE_LIBRARIES ""
	CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")

	INSTALL(TARGETS ${PROJECT_NAME} DESTINATION bin)
ENDIF()

IF (MACOS)
	SET(DIRS
		${wxWidgets_DIR}
		${VTK_DIR}
		${ITK_DIR}
		${DCMTK_DIR}
		CADxCore
		${CMAKE_CURRENT_BINARY_DIR}/../cadxcore
	)
	MESSAGE(STATUS "Directories: ${DIRS}")
	SET(GINKGO_PLUGINS "" CACHE PARENT_SCOPE "")

	SET(APPBUNDLE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.app)
	SET(MACOSX_BUNDLE_GUI_IDENTIFIER "com.metaemotion.Ginkgo_CADx")
	SET(MACOSX_BUNDLE_BUNDLE_NAME ${PROJECT_NAME})
	SET(MACOSX_BUNDLE_VERSION ${GINKGO_VERSION_STR})
	
	CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/GinkgoCADx-Info.plist.in ${CMAKE_CURRENT_BINARY_DIR}/Info.plist)

	SET(LIBS)

	MESSAGE(STATUS "PLUGINS = ${GINKGO_PLUGINS}")
	FOREACH(PLUGIN ${GINKGO_PLUGINS})
		LIST(APPEND LIBS ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN}/lib${PLUGIN}.dylib)
	ENDFOREACH()

	install(CODE 
	        " 
	        include(BundleUtilities) 
	        fixup_bundle(\"${APPBUNDLE}\" \"${LIBS}\" \"${DIRS}\") 
	        " 
	        COMPONENT Runtime 
	    )
		
	SET_TARGET_PROPERTIES(
		"${PROJECT_NAME}"
		PROPERTIES
			MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_BINARY_DIR}/Info.plist
		    LINK_FLAGS "-Wl ${XCODE_LINK_FLAGS}"
	)
ENDIF()

MESSAGE(STATUS "OS=[${OS}], Arch=[${ARCH}], Target=[${CMAKE_BUILD_TYPE}], Project=[${PROJECT_NAME}]")

=== debian/changelog ===
ginkgocadx (3.8.7-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:50 +0000

ginkgocadx (3.8.7-1) unstable; urgency=medium

  * New upstream version 
  * Move packaging to git
  * d/control: 
    - update VCS entries 
    - update standards to 4.1.0 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Sun, 24 Sep 2017 08:13:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ginkgocadx
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Thorsten Alteholz <debian@alteholz.de>,
            Gert Wollny <gewo@debian.org>
@@ -24,9 +25,9 @@
                libwxgtk3.0-dev,
                libxml2-dev,
                libgdcm-tools
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/ginkgocadx/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ginkgocadx.git 
+Vcs-Git: https://anonscm.debian.org/git/debian-med/ginkgocadx.git
 Homepage: http://ginkgo-cadx.com/
 
 Package: ginkgocadx

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Ginkgo CADx

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

## Disable wx3.0 WXDEBUG checks, as happened by default in wx2.8.
## (This is necessary to avoid segfaults with wx3.0).
export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ --parallel 

## avoid post{inst|rm}-useless-call-to-ldconfig
override_dh_makeshlibs:
	dh_makeshlibs --noscripts

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ginkgocadx-$1\.tar\.gz/ \
  https://github.com/gerddie/ginkgocadx/tags .*/v?(\d\S*)\.tar\.gz

## ginkgocadx 3.8.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PROJECT(BUILD_ALL)
 
-SET( GINKGO_VERSION 3.8.6)
+SET( GINKGO_VERSION 3.8.8)
 
 SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")
@@ -31,6 +31,8 @@
 
 include(CheckCXXCompilerFlag)
 
+set(CMAKE_CXX_STANDARD_DEFAULT "")
+
 IF (((${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU") AND
       (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5.3.0)) OR
     ((${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang") AND
@@ -38,15 +40,12 @@
   MESSAGE(STATUS "Compiler has full c++11 support")
 
   # g++ >= 6.0 sets std=c++14 by default
-  IF (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
-    IF (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0)
-      SET(CXX_11_FLAG "-std=c++11")
-    ENDIF()
-  ELSE()
-    SET(CXX_11_FLAG "-std=c++11")
+  IF (NOT ( ${CMAKE_CXX_COMPILER_ID}  STREQUAL "GNU") OR
+      (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0))
+    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD_REQUIRED ON)
   ENDIF()
-  
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
+
 ELSE()
   CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_GNU_CXX11_FLAG)
   IF(HAS_GNU_CXX11_FLAG)
@@ -61,6 +60,7 @@
   ENDIF(HAS_GNU_CXX11_FLAG)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${CXX_11_FLAG}")
 ENDIF()
+
 
 #doesn't work... using custom build
 #IF(LINUX)
@@ -93,7 +93,7 @@
 ENDIF()
 
 IF(NOT USE_CUSTOM_DCMTK)
-FIND_PACKAGE(DCMTK 3.6.1 REQUIRED)
+FIND_PACKAGE(DCMTK 3.6.4 REQUIRED)
 ELSE()
 MESSAGE(STATUS "Using custom DCMTK")
 SET_CUSTOM_DCMTK_PACKAGE()
@@ -135,7 +135,10 @@
 LINK_DIRECTORIES(${CAIRO_LIBRARY_DIRS})
 
 IF(LINUX)
-  PKG_CHECK_MODULES(GTK REQUIRED gtk+-2.0)
+  STRING(REGEX MATCH "gtk[23]" GTK_VERSION_SENTINEL "${wxWidgets_LIBRARIES}")
+  STRING(REGEX REPLACE "gtk([23])" "gtk+-\\1.0" GTK_PKG_CONFIG_PACKAGE "${GTK_VERSION_SENTINEL}")
+
+  PKG_CHECK_MODULES(GTK REQUIRED ${GTK_PKG_CONFIG_PACKAGE})
   INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
   LINK_DIRECTORIES(${GTK_LIBRARY_DIRS})
 
@@ -187,3 +190,4 @@
 PACKAGE_RULES( "${PROJECT_NAME}" "${ARCH}" "${DEST}" )
 ENDIF()
 
+MESSAGE(STATUS "Using CMAKE_CXX_FLAGS: ${CMAKE_CXX_FLAGS}")

=== cadxcore/CMakeLists.txt ===
--- 
+++ 
@@ -206,27 +206,6 @@
 	ADD_DEFINITIONS(${XmlRpc++_defines})
 	INCLUDE_DIRECTORIES(${XmlRpc++_INCLUDE_DIR})
 	LINK_DIRECTORIES(${XmlRpc++_DIR})
-ENDIF()
-
-IF (LINUX)
-	IF (GTK2_FOUND)
-	  INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS})
-	ELSE ()
-	  MESSAGE("-----------------GTK2 NOT FOUND--------------------")
-	  INCLUDE_DIRECTORIES(/usr/include/gtk-2.0
-	      /usr/include/atk-1.0
-	      /usr/include/pango-1.0
-	      /usr/include/gio-unix-2.0/
-	      /usr/include/glib-2.0
-	      /usr/lib/i386-linux-gnu/glib-2.0/include
-	      /usr/include/freetype2
-	      /usr/include/libpng12
-	      /usr/lib/gtk-2.0/include
-	      /usr/include/cairo
-	      /usr/include/gdk-pixbuf-2.0
-	      /usr/include/pixman-1
-	  )  
-	ENDIF ()
 ENDIF()
 
 
@@ -284,3 +263,26 @@
 
 TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${wxWidgets_LIBRARIES})
 
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${VTK_LIBRARIES})
+
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${ITK_LIBRARIES})
+
+IF(USE_CUSTOM_DCMTK)
+	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES})
+ELSE()
+	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${DCMTK_LIBRARIES} wrap)
+ENDIF()
+
+IF(USE_SYSTEM_SQLITE)
+	TARGET_LINK_LIBRARIES(${PROJECT_NAME} sqlite3)
+ENDIF()
+
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Cairo_LIBRARIES})
+
+TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Pixman_LIBRARIES})
+
+IF (MACOS)
+	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${XmlRpc++_LIBRARIES})
+ENDIF()
+
+IF(LINUX)

=== visualizator/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(visualizator)

################ SOURCES ################

SET(SRCS visualizator.cpp)
AUX_SOURCE_DIRECTORY(visualizator/commands SRCS)
AUX_SOURCE_DIRECTORY(visualizator/controllers SRCS)
AUX_SOURCE_DIRECTORY(visualizator/dialogos SRCS)
AUX_SOURCE_DIRECTORY(visualizator/dialogos/importacion SRCS)
AUX_SOURCE_DIRECTORY(visualizator/dialogos/seleccionardiagnostico SRCS)
AUX_SOURCE_DIRECTORY(visualizator/estudios SRCS)
AUX_SOURCE_DIRECTORY(visualizator/herramientas SRCS)
AUX_SOURCE_DIRECTORY(visualizator/vistas SRCS)
AUX_SOURCE_DIRECTORY(visualizator/widgets SRCS)
AUX_SOURCE_DIRECTORY(visualizator/export SRCS)
AUX_SOURCE_DIRECTORY(visualizator/export/contracts SRCS)
AUX_SOURCE_DIRECTORY(visualizator/export/tools SRCS)
AUX_SOURCE_DIRECTORY(visualizator/tools SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction/commands SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction/interactors SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction/pipelines SRCS)
AUX_SOURCE_DIRECTORY(visualizator/wxvtk/reconstruction/volumedataset SRCS)
AUX_SOURCE_DIRECTORY(resources SRCS)

################ DEFINITIONS ################

ADD_EXTENSION_DEFINITIONS()
ADD_DEFINITIONS(-DMONOLITIC)

################ INCLUDE DIRECTORIES ################

SET(${PROJECT_NAME}_INCLUDE_DIR
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/comandos
	${CMAKE_CURRENT_SOURCE_DIR}/controllers
	${CMAKE_CURRENT_SOURCE_DIR}/dialogos
	${CMAKE_CURRENT_SOURCE_DIR}/estudios
	${CMAKE_CURRENT_SOURCE_DIR}/eventos
	${CMAKE_CURRENT_SOURCE_DIR}/exportacion
	${CMAKE_CURRENT_SOURCE_DIR}/herramientas
	${CMAKE_CURRENT_SOURCE_DIR}/vistas
	${CMAKE_CURRENT_SOURCE_DIR}/widgets
	${CMAKE_CURRENT_SOURCE_DIR}/wxvtk
	CACHE INTERNAL ""
)

INCLUDE_DIRECTORIES(${CADxCore_INCLUDE_DIR})

INCLUDE_DIRECTORIES(${${PROJECT_NAME}_INCLUDE_DIR})

IF(USE_CUSTOM_WX)
	ADD_DEFINITIONS(${wxWidgets_defines})
	INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIR})
	LINK_DIRECTORIES(${wxWidgets_DIR})
ELSE()
	INCLUDE(${wxWidgets_USE_FILE})
	#MESSAGE("WXLIBS = ${wxWidgets_LIBRARIES} ")
ENDIF()


IF (USE_CUSTOM_VTK)
	ADD_DEFINITIONS(${VTK_defines})
	INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIR})
	LINK_DIRECTORIES(${VTK_DIR})
ELSE()
	INCLUDE(${VTK_USE_FILE})
ENDIF()



IF(USE_CUSTOM_ITK)
	ADD_DEFINITIONS(${ITK_defines})
	INCLUDE_DIRECTORIES(${ITK_INCLUDE_DIR})
	LINK_DIRECTORIES(${ITK_DIR})
ELSE()
	INCLUDE(${ITK_USE_FILE})
	#MESSAGE("ITKLIBS = ${ITK_LIBRARIES}")
ENDIF()

ADD_DEFINITIONS(${Cairo_defines})
INCLUDE_DIRECTORIES(${Cairo_INCLUDE_DIR})
LINK_DIRECTORIES(${Cairo_LIB})

ADD_DEFINITIONS(${Pixman_defines})
INCLUDE_DIRECTORIES(${Pixman_INCLUDE_DIR})
LINK_DIRECTORIES(${Pixman_LIB})

################ TARGET ################

IF(LINUX AND NOT CUSTOM_PACKAGE)
	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
	SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
	LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx" isSystemDir)
	IF("${isSystemDir}" STREQUAL "-1")
		SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/ginkgocadx")
	ENDIF()
ENDIF()

ADD_LIBRARY(${PROJECT_NAME} STATIC ${SRCS} )
#ADD_EXECUTABLE(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SRCS})

IF(LINUX)
	SET(LIBNAME "lib${PROJECT_NAME}.so.${GINKGO_VERSION_STR}")
ENDIF()
IF(MACOS)
	SET(LIBNAME "lib${PROJECT_NAME}.${GINKGO_VERSION_STR}.dylib")
ENDIF()

#ADD_CUSTOM_COMMAND( TARGET ${PROJECT_NAME} POST_BUILD COMMAND /bin/sh ARGS "${CMAKE_CURRENT_SOURCE_DIR}/../ginkgocadx/build_descriptor.sh" "${CMAKE_CURRENT_SOURCE_DIR}" "${LIBNAME}" "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.inf" "${GINKGO_VERSION}" "${GINKGO_SUB_VERSION}")

SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES
	VERSION "${GINKGO_VERSION_STR}" SOVERSION "${GINKGO_VERSION_STR}"
	LINK_INTERFACE_LIBRARIES ""
	INSTALL_RPATH_USE_LINK_PATH FALSE )

#INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib/ginkgocadx/Plugins)
#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.inf DESTINATION lib/ginkgocadx/Plugins)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/3d_bar DESTINATION share/ginkgocadx/resources/visualizator)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/logos DESTINATION share/ginkgocadx/resources/visualizator)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/synchronization_bar DESTINATION share/ginkgocadx/resources/visualizator)
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources/files/tool_icons DESTINATION share/ginkgocadx/resources/visualizator)

INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/zh_CN/visualizator.mo DESTINATION share/ginkgocadx/lang/zh_CN)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/de/visualizator.mo DESTINATION share/ginkgocadx/lang/es)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/de/visualizator.mo DESTINATION share/ginkgocadx/lang/de)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/el/visualizator.mo DESTINATION share/ginkgocadx/lang/el)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/es/visualizator.mo DESTINATION share/ginkgocadx/lang/es)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/fr/visualizator.mo DESTINATION share/ginkgocadx/lang/fr)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/ja/visualizator.mo DESTINATION share/ginkgocadx/lang/ja)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pl/visualizator.mo DESTINATION share/ginkgocadx/lang/pl)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/pt/visualizator.mo DESTINATION share/ginkgocadx/lang/pt)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/lang/tr/visualizator.mo DESTINATION share/ginkgocadx/lang/tr)
################ LIBS ################

TARGET_LINK_LIBRARIES(${PROJECT_NAME} CADxCore)


TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${wxWidgets_LIBRARIES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${VTK_LIBRARIES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${ITK_LIBRARIES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Cairo_LIBRARIES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${Pixman_LIBRARIES})

IF (LINUX)
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} GL xml2)
ENDIF()

IF(MACOS)
	FIND_LIBRARY( CARBON_LIB Carbon )
	FIND_LIBRARY( OPENGL_LIB OpenGL )
	
	MARK_AS_ADVANCED( CARBON_LIB OPENGL_LIB )

	SET(LIBS ${CARBON_LIB} ${OPENGL_LIB} )
	LIST( APPEND LIBS xml2 z )

	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${LIBS})

	SET_TARGET_PROPERTIES( PROPERTIES LINK_FLAGS "-Wl ${XCODE_LINK_FLAGS}" )
	
ENDIF()

MESSAGE(STATUS "OS=[${OS}], Arch=[${ARCH}], Target=[${CMAKE_BUILD_TYPE}], Project=[${PROJECT_NAME}]")

=== debian/changelog ===
ginkgocadx (3.8.8-5) unstable; urgency=medium

  * Team upload
  * Cherry-pick upsteam proposed patch to fix build with new dcmtk
    (Closes: #974660)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Nov 2020 13:50:42 +0100

ginkgocadx (3.8.8-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: s/libgtk2.0-dev/libgtk-3-dev/
    Closes: #967401
  * Remove quotes in mailcap entry

 -- Andreas Tille <tille@debian.org>  Thu, 27 Aug 2020 06:53:52 +0200

ginkgocadx (3.8.8-3) unstable; urgency=medium

  * d/control: Update standard to 4.4.1 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Mon, 09 Dec 2019 20:37:23 +0100

ginkgocadx (3.8.8-2) unstable; urgency=medium

  [ Andreas Tille ]
  * rebuild against wxWidgets GTK 3 package
    Closes: #933414
  * debhelper-compat 12
  * Standards-Version: 4.4.0

  [ Gert Wollny ]
  * Add patch to force X11 with gtk3 backend to work around #900678

 -- Gert Wollny <gewo@debian.org>  Sat, 03 Aug 2019 17:26:04 +0200

ginkgocadx (3.8.8-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop custom compression settings

  [ Gert Wollny ]
  * New upstream version 3.8.8
  * d/control: Update required dcmtk version to 3.6.4

 -- Gert Wollny <gewo@debian.org>  Sat, 12 Jan 2019 18:13:46 +0100

ginkgocadx (3.8.7-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 10:49:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ginkgocadx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Thorsten Alteholz <debian@alteholz.de>,
            Gert Wollny <gewo@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                chrpath,
                cmake,
                libcairo2-dev,
                libcurl4-gnutls-dev,
-               libdcmtk-dev,
+               libdcmtk-dev ( >= 3.6.4 ),
                libfftw3-dev,
                libfreetype6-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libinsighttoolkit4-dev,
                libjsoncpp-dev,
                default-libmysqlclient-dev,
@@ -22,13 +21,15 @@
                libvtk6-dev,
                libwrap0,
                libwrap0-dev,
-               libwxgtk3.0-dev,
+               libwxgtk3.0-gtk3-dev,
+               libgtk-3-dev,
                libxml2-dev,
                libgdcm-tools
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ginkgocadx.git 
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ginkgocadx.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/ginkgocadx
+Vcs-Git: https://salsa.debian.org/med-team/ginkgocadx.git
 Homepage: http://ginkgo-cadx.com/
+Rules-Requires-Root: no
 
 Package: ginkgocadx
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG
 
 %:
-	dh $@ --parallel 
+	dh $@
 
 ## avoid post{inst|rm}-useless-call-to-ldconfig
 override_dh_makeshlibs:
